# [Operand](operand.space)

## Clone

```
wget --accept-regex 'gram\/op\/' -r https://share.operand.space/gram/op
git -C share.operand.space/gram/op checkout main
cd share.operand.space/gram/op

# running is easy inside nix shell:
sudo echo "extra-experimental-features = flakes nix-command" >> /etc/nix/nix.conf
nix develop

# once you're in...
mix deps.get
mix compile
mix run

# Share using manager on:
# share.operand.space/code/build/doc
reshare base . 'gram/op'
```

## Upcoming Changes

* [ ] Rephrase codebase; replace Elixir, using more Gleam!

---

## Program

* You'll need [Nix or NixOS](https://nixos.org/download).
* You'll need Postgres running locally in the background.

```
sudo echo "extra-experimental-features = flakes nix-command" >> /etc/nix/nix.conf
git clone https://base.bingo/code/op; cd op;

# Pull node dependencies
nix develop --command bash -c 'cd assets && yarn'
# Run
nix develop --command bash -c 'mix deps.get; mix setup; mix phx.server'
```

Go check [`0.0.0.0:4000`](http://0.0.0.0:4000).

[Deploy once ready](https://hexdocs.pm/phoenix/deployment.html).

## Made using [Phoenix](https://www.phoenixframework.org/)

* [Guides](https://hexdocs.pm/phoenix/overview.html)
* [Docs](https://hexdocs.pm/phoenix)
* [Forum](https://elixirforum.com/c/phoenix-forum)
* [Source](https://github.com/phoenixframework/phoenix)
