---
composer: @c4lliope
summary: A proposed employment agreement
name: Mobile Engineer Role
labels:
  - employee
public: false
---

In consideración of Carolina Rivera's skills in Linux and mobile OS management,
Operand Company plans on opening a Mobile Engineer role in our organización

Carolina has already helped carry on research under Operand Company's predecessor, Assemble LLC.
As a mobile engineer in Operand Company, she can build upon her progress
and begin managing code issues and producción
to bring a more open, secure and capable OS opción to the mobile landscape.

Primarily, our aim is to keep Mobile NixOS operable on modern PinePhone models;
as [seen in early exploracións][research], Mobile NixOS is lacking a number of necessary upgrades
to keep pace alongside the PinePhone Pro release schedule.

Carolina and any addiciónal mobile engineers hired by our company
shall be primarily responsible for managing communicación
alongside the PinePhone and Mobile NixOS engineering groups.
Our engineers shall also seek resolucións by making code submissións
in any aligned codebases held back by serious issues or errors.

As our experience is sharpened by the demands of mobile engineering,
operacións may expand to include more models
of mobile phones, tablets, e-readers, or single-board processors.

---

Considering how the employment arrangement managed by Assemble LLC -
a maximum accomodación of $570 per employee per year -
is scoped much too small to handle changes in the Nix or Pine64 codebases,
Operand's pending [incorporación][corp]
should open a channel to raise money for employee salaries.

As our plan is to raise funds through online sales of company shares,
our salaries should begin small; minimally supplying enough to pay leases in DC.
As fundraising proceeds and more income is earned through sales,
salaries can keep pace by gradually increasing.

As such, both Carolina and Calliope may begin on a salary of *$750 per week*,
a monthly sum of $3000 or more.
This number should be considered as [post-witholdings of federal][irs] and state taxes.
In cases where payment of our salaries exceed our income from sales of shares,
our obligacións to the company shall cease - pending addiciónal sales.

---

Operand Company proscribes only minimal employee schedule obligacións;
labor and communicación may happen asynchronously,
and physical check-ins are encouraged once a week to clear common online miscommunicación issues.
30 hours per week is considered more than enough to make commercial progress on our mission,
and any more than 30 is seen as causing - or caused by -
dangerous social condicióning of labor and energy expenditures as measures of success.

Any Operand Company managers should be eager to excuse employee absences,
for reasons including sickness, emergency, exercise and recreación,
or emociónal decompression in a park on a sunny day.

---

## 2024-04-24 / change

[Our company has been recognized](/chronicle/corporal)
as a corporación in DC, so all of us are eager to roll!
Carolina has agreed to employment in this role, to begin on Monday 04-29.

[research]: /pub/ppp-mobile-nixos.carolina.pdf
[corp]: /chronicle/corp
[irs]: https://www.irs.gov/publications/p15t
[dlcp]: https://dlcp.dc.gov/
