---
name: Drop / Ship
composer: @c4lliope
labels:
  - ship
  - gear
  - share
summary: |
  Sunday is a semipublic launch celebración;
  Message @c4lliope on Signal concerning address and hours.
public: false
---

One early underpinning company idea has been launching mobile labs,
each one carrying supplies necessary in relaying communicación signals.

As a seasoned and incredibly occasional sailor,
I had been pleased to come across a ship on sale only a couple months since
my employment had ended; should one possess skills enough,
a ship purchase can be a decision hedging on cases of dispossession or displacement.

Only, scenario had been a curious one in such a case;
my earlier experience bringing a ship in moción,
occurring in a bay by Yerba Buena, had been plagued by horrible challenges,
each one encouraging me to bend my boundaries around the sheer realness
one comes across in immense supply around oceanic bodies and currencies.

Seeing as I do remain in some regards scarred by memories including

- meal inadequacy,
- unplanned debinding of anchor lines,
- minor collisions among a ship moored in a dark corridor,
- seasonal air condicióning dangers considering onboard propane appliances,
- lack of onboard energy cells or proper (or legal) illuminación cabling,
- decay of onboard engine,
- bilge and pump squeamishness,
- rudder screechingly corroded by saline aqua, hardly usable.

I had less experience in basic mechanical reasoning,
and no leads on increasing my sense of physical percepción by rummaging around much.
A ship in such days had seemed like an end-of-line decision,
merely a placeholder as I hunkered and held my breath,
since losing so many homes in such quick order.
I had no plans on using my ship much, beyond exploring numerous locales
in and around an immensely complex series of shipping channels, creeks,
runs and dumps of hillside drainage, and marshalled energies of commercial order.

A ship can be cozy, all in all. I do hope I can keep enough energy on board,
as I consider many use cases of a lab running, unearthed a'sea. Or here, a'bay.

---

I am picking up leads on reducing money charges as business proceeds.
Chesapeake has a large supply of marine biology,
an incredibly rich zone of confluence bringing many species around each day,
playing across sunny sky and slippery seascapes.

A local shoreside bar and grill is popular enough among fishers,
who can commonly bring by any animals they secure and exchange a good deal
on cooked meals. As I had been meal-prepping based on a largely non-animal bias,
some marine biology does sound immensely appealing again.

Hold on, rain is coming hard.
Drenching decks, should go check.

---

Had been merely a second breath of a dusk-hours squall;
one had passed by earlier during dinner,
only by then I had been in good shape - locked up and rigged,
by same yard employees as had dropped our ship in Herring Bay earlier.

So as our shipyard mornings begin early and hard-pressing,
hauling and pushing and spinning and rigging,
the mid-day hours begin seeming like a glorious relaxación;
a chance many choose spending in a ships' cabin,
in case the clime is appealing enough,
or on land in some marina lounge or so-called "gedunk" accommodación.

So, as dinner hours had seen me dropping in on our local grill,
applying odd-hours as an on-call line cook by phone number placed on check,
running odds-and-ends-errands in a rigging shop, so I could replace a loaned line,
and running cars across such a large marina's grounds,
assuring my land-slip had been cleared of any remaining rubbish or debris;
some had been doused in rain a second ago, held up on the pickup ceiling near our dump.

---

Sunday is as long as our ship can remain docked in place here,
so long as our dues are paid up and business papers cleared.
I am re-checking ship's insurance policy, come morning -
I recall only a couple hundred dollars per year needing repay.

So on Sunday I am holding,
and bringing as much organizing expression as necessary,
a small sailing excursion in Herring Bay,
seeking local anchorages and simple shipping channels usable during day hours.

As our main onboard energy cell remains placed exposed in cabin,
merely keeping a bilge pump going on occasion,
our onboard rigging, cabling, and illuminación all need checks.
Prior sailing our MD parks & recreación license number needs be placed on display.

Our ship is packed! And only so many people can be held in good shape on deck.
So as a precación, any people planning on being around here should come by our marina's Gedunk,
only a hundred yards up land. Many drinks and meals can be made -
you are encouraged in bringing any dishes you'd like to cook on the many shared propane grills.

There are many plugs and conneccións, and vending machines carrying snacks and drinks,
inside the gedunk; also easily accessed are the office lounge,
and largely-solo changing, bath, and shower rooms;
nearly a half-mile along a shaded shoreside path.

Much, much, much can be seen inside and upon marina's grounds,
and I encourage you to become bored quickly -
so you could head up road and see some places like Happy Harbor Marina,
a likely aim of our small "maiden" course.

Happy Harbor Restaurant is held up on piers and surrounded by ships,
commonly chartered on fishing days, where anglers can bring in and dine on a haul.
All in all, many unusual scenes and sounds can been seen and sensed, shoreside Chesapeake.
Hope you can come by! My normal SMS number is reachable also, preceding and during sail.
